﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace SfSchedule_AppointmentSample
{
	public partial class SfSchedule_AppointmentSamplePage : ContentPage
	{
		SfSchedule schedule;
		ScheduleAppointmentCollection appointmentCollection;
		public SfSchedule_AppointmentSamplePage()
		{
			InitializeComponent();

			schedule = new SfSchedule();
			schedule.ScheduleView = ScheduleView.DayView;

			appointmentCollection = new ScheduleAppointmentCollection();
			//Creating new event   
			ScheduleAppointment clientMeeting = new ScheduleAppointment();
			DateTime currentDate = DateTime.Now;
			DateTime startTime = new DateTime(currentDate.Year, currentDate.Month, currentDate.Day, 10, 0, 0);
			DateTime endTime = new DateTime(currentDate.Year, currentDate.Month, currentDate.Day, 12, 0, 0);
			clientMeeting.StartTime = startTime;
			clientMeeting.EndTime = endTime;
			clientMeeting.Color = Color.Red;
			clientMeeting.Subject = "ClientMeeting";
			appointmentCollection.Add(clientMeeting);

			ScheduleAppointment clientMeeting2 = new ScheduleAppointment();
			DateTime startTime2 = new DateTime(currentDate.Year, currentDate.Month, currentDate.Day + 1, 14, 0, 0);
			DateTime endTime2 = new DateTime(currentDate.Year, currentDate.Month, currentDate.Day + 1, 16, 0, 0);
			clientMeeting2.StartTime = startTime2;
			clientMeeting2.EndTime = endTime2;
			clientMeeting2.Color = Color.Green;
			clientMeeting2.Subject = "Testing";
			appointmentCollection.Add(clientMeeting2);
			schedule.DataSource = appointmentCollection;

			Button button = new Button();
			button.Text = "click";
			button.BackgroundColor = Color.Blue;
			button.TextColor = Color.White;
			button.Clicked += Button_Clicked;

			StackLayout stack = new StackLayout();
			stack.Orientation = StackOrientation.Vertical;
			stack.Children.Add(button);
			stack.Children.Add(schedule);

			this.Content = stack;

		}

		void Button_Clicked(object sender, EventArgs e)
		{
			(schedule.DataSource as ScheduleAppointmentCollection).Clear();
		}
	}
}
